본문 바로가기
[Developer]/Flutter

[Flutter 시작] 2. 편집기 설정하기

by 반가운 해피빈이 2019. 1. 13.

** 이 글은 https://flutter.io 의 안내 페이지에 있는 내용을 번역 및 재구성한 내용입니다.

참고바랍니다.


(출처: https://flutter.io/docs/get-started/editor)


우리는 우리의 커맨드라인 툴과 결합하여 어떤 텍스트 편집기를 사용해서도 Flutter로 앱을 빌드할 수 있습니다. 그런데, 우리는 더 나은 환경을 제공하기 위해 편집기 플러그인 중 하나를 이용하는 것이 좋습니다. 이러한 플러그인은 코드 완성, 구문 강조, 위젯 편집 지원, 실행 및 디버깅 지원 등을 제공합니다.


Android Studio(IntelliJ) 또는 Visual Studio Code용 편집기 플러그인을 추가하려면 아래의 단계를 따르십시오. 만약 다른 편집기를 이용하기를 원한다면, 아래의 설명을 무시해도 됩니다.(좀 더 편리한 특징들은 포기해야겠죠)


Android Studio / IntelliJ


안드로이드 스튜디오 설치하기

안드로이드 스튜디오는 Flutter를 위해 완전하고 통합된 통합개발환경(IDE)을 지원합니다.


  • Android Studio 3.0 혹은 그 이상의 버전


다른 방법으로, IntelliJ를 이용할 수 도 있습니다:


  • IntelliJ IDEA Community, 2017.1 혹은 그 이상의 버전
  • IntelliJ IDEA Ultimate, 2017.1 혹은 그 이상의 버전

Flutter와 Dart 플러그인 설치하기

이것들을 설치합니다:

  1. 안드로이드 스튜디오를 시작합니다.
  2. 플러그인 기본 설정을 엽니다.( 맥OS 환경: [Preferences] -> [Plugins], 윈도우와 리눅스 환경: [File] -> [Settings] -> [Plugins] 메뉴에 있습니다.)
  3. Browse repositories를 선택합니다. Flutter 플러그인을 선택하고, Install을 클릭합니다.
  4. Dart 플러그인을 설치하기 위한 메세지가 뜨면 Yes를 클릭합니다.
  5. 그다음 메세지창이 뜨면 Restart를 클릭하세요.


<설치가 완료된 상태>



Visual Studio Code


비주얼 스튜디오 코드 설치하기(이하 VS Code)


VS Code는 Flutter 앱을 실행과 디버깅을 지원하는 경량의 편집기 입니다.

  • VS Code, Stable 최신버전


Flutter와 Dart 플러그인 설치하기

  1. VS Code를 시작합니다.
  2. [View] -> [Command Palette...]를 호출합니다.
  3. "install"을 타이핑하고 [Extensions: Install Extensions]를 선택합니다.
  4. 확장 검색 필드에서 "flutter"를 타이핑하고, 목록에서 Flutter를 선택하고, Install을 클릭합니다. 또한 필요한 Dart 플러그인을 설치합니다.
  5. VS Code를 재로드 하기 위해, Reload to Activate를 클릭합니다.

Flutter Doctor로 설치를 검증하기

  1. [View] -> [Command Palette...]를 호출합니다.
  2. "doctor"를 타이핑하고, [Flutter: Run Flutter Doctor]를 선택합니다.
  3. 어떠한 이슈가 있는지 "OUTPUT" 패널을 통해 output을 확인합니다.


<설치가 완료된 상태>


댓글0